Deployment failed PLEASE HELP!

Hi! please help! I’m trying to deploy a site but i keep getting this error back. I am still quite a novice so sorry in advance if this is easy to sort!

5:41:31 PM: build-image version: a49edbc55fc722f80f6b85963a5060f8d043a844 (focal)
5:41:31 PM: build-image tag: v4.8.1
5:41:31 PM: buildbot version: f89dd42aa70d76d1da992dc3fa004a4c745208bc
5:41:31 PM: Fetching cached dependencies
5:41:31 PM: Failed to fetch cache, continuing with build
5:41:31 PM: Starting to prepare the repo for build
5:41:31 PM: No cached dependencies found. Cloning fresh repo
5:41:31 PM: git clone https://github.com/Cherrelle-Ward/Dashbored
5:41:32 PM: Preparing Git Reference refs/heads/main
5:41:32 PM: Parsing package.json dependencies
5:41:33 PM: Starting build script
5:41:33 PM: Installing dependencies
5:41:33 PM: Python version set to 2.7
5:41:34 PM: v16.15.1 is already installed.
5:41:34 PM: Now using node v16.15.1 (npm v8.11.0)
5:41:34 PM: Started restoring cached build plugins
5:41:34 PM: Finished restoring cached build plugins
5:41:34 PM: Attempting ruby version 2.7.2, read from environment
5:41:35 PM: Using ruby version 2.7.2
5:41:36 PM: Using PHP version 8.0
5:41:36 PM: No npm workspaces detected
5:41:36 PM: Started restoring cached node modules
5:41:36 PM: Finished restoring cached node modules
5:41:36 PM: Installing NPM modules using NPM version 8.11.0
5:41:37 PM: npm WARN config tmp This setting is no longer used.  npm stores temporary files in a special
5:41:37 PM: npm WARN config location in the cache, and they are managed by
5:41:37 PM: npm WARN config     [`cacache`](http://npm.im/cacache).
5:41:37 PM: npm WARN config tmp This setting is no longer used.  npm stores temporary files in a special
5:41:37 PM: npm WARN config location in the cache, and they are managed by
5:41:37 PM: npm WARN config     [`cacache`](http://npm.im/cacache).
5:41:38 PM: npm ERR! code ERESOLVE
5:41:38 PM: npm ERR! ERESOLVE could not resolve
5:41:38 PM: npm ERR!
5:41:38 PM: npm ERR! While resolving: cloudinary-react@1.7.2
5:41:38 PM: Creating deploy upload records
5:41:38 PM: npm ERR! Found: react@18.0.0
5:41:38 PM: npm ERR! node_modules/react
5:41:38 PM: npm ERR!   react@"^18.0.0" from the root project
5:41:38 PM: npm ERR!   peer react@"^16.3.0 || ^17.0.0 || ^18.0.0" from @cloudinary/react@1.3.0
5:41:38 PM: npm ERR!   node_modules/@cloudinary/react
5:41:38 PM: npm ERR!     @cloudinary/react@"^1.3.0" from the root project
5:41:39 PM: Failed during stage 'building site': Build script returned non-zero exit code: 1 (https://ntl.fyi/exit-code-1)
5:41:38 PM: npm ERR!   13 more (@icons/material, @testing-library/react, ...)
5:41:38 PM: npm ERR!
5:41:38 PM: npm ERR! Could not resolve dependency:
5:41:38 PM: npm ERR! peer react@"^16.3.3 || ^17.0.0" from cloudinary-react@1.7.2
5:41:38 PM: npm ERR! node_modules/cloudinary-react
5:41:38 PM: npm ERR!   cloudinary-react@"^1.7.2" from the root project
5:41:38 PM: npm ERR!
5:41:38 PM: npm ERR! Conflicting peer dependency: react@17.0.2
5:41:38 PM: npm ERR! node_modules/react
5:41:38 PM: npm ERR!   peer react@"^16.3.3 || ^17.0.0" from cloudinary-react@1.7.2
5:41:38 PM: npm ERR!   node_modules/cloudinary-react
5:41:38 PM: npm ERR!     cloudinary-react@"^1.7.2" from the root project
5:41:38 PM: npm ERR!
5:41:38 PM: npm ERR! Fix the upstream dependency conflict, or retry
5:41:38 PM: npm ERR! this command with --force, or --legacy-peer-deps
5:41:38 PM: npm ERR! to accept an incorrect (and potentially broken) dependency resolution.
5:41:38 PM: npm ERR!
5:41:38 PM: npm ERR! See /opt/buildhome/.npm/eresolve-report.txt for a full report.
5:41:38 PM: npm ERR! A complete log of this run can be found in:
5:41:38 PM: npm ERR!     /opt/buildhome/.npm/_logs/2022-06-21T16_41_37_467Z-debug-0.log
5:41:38 PM: Error during NPM install
5:41:38 PM: Build was terminated: Build script returned non-zero exit code: 1
5:41:38 PM: Failing build: Failed to build site
5:41:39 PM: Finished processing build request in 7.706041477s```

hi there, this seems like it is a node build issue, give this a read through and see if it helps?